SDL_GetHapticEffectStatus(3)

NAME
SDL_GetHapticEffectStatus - Get the status of the current effect on the specified haptic device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetHapticEffectStatus(SDL_Haptic *haptic, int effect);

DESCRIPTION
Device must support the SDL_HAPTIC_STATUS
 feature.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to query for the effect status on

effect
    the ID of the haptic effect to query its status

RETURN VALUE
Returns 0 if it isn't playing, 1 if it is playing, or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.